/*
 * Function        : Video for Linux driver for PROC I/F core
 *
 * Copyright (C) 2011 Renesas Electronics Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Suite 500, Boston, MA 02110-1335, USA.
 */

#define USE_DEBUG_TRACE

struct MemoryTrace {
	int   id;
	int   line_num;
	int   event;
	int   reserved[5];
};

#define MAXTRACE_ENTRY 128


#undef TRACE_CLR
#undef TRACE_ENTER
#undef TRACE_LEAVE
#undef TRACE_LOG
#undef TRACE_LOG1

extern void sh_mobile_trace_clr(void);
extern void sh_mobile_trace_enter(int id, int num);
extern void sh_mobile_trace_leave(int id, int num);
extern void sh_mobile_trace_log(int id, int num);


#define TRACE_CLR                 sh_mobile_trace_clr();
#define TRACE_ENTER(id)           sh_mobile_trace_enter(id, __LINE__);
#define TRACE_LEAVE(id)           sh_mobile_trace_leave(id, __LINE__);
#define TRACE_LOG(id)             sh_mobile_trace_log(id, __LINE__);
#define TRACE_LOG1(id, arg)

#define FUNC_V4L2_CALLBACK    0x0001
#define FUNC_V4L2_POSTMESSAGE 0x0002
#define FUNC_V4L2_STREAMON    0x0003
#define FUNC_V4L2_STREAMOFF   0x0004
#define FUNC_V4L2_QUEUEBUF    0x0005
#define FUNC_V4L2_DEQUEUEBUF  0x0006

#define FUNC_THREAD_STREAMOFF 0x0101
#define FUNC_THREAD_STREAMON  0x0102

#define FUNC_OVL_CREATE       0x0201
#define FUNC_OVL_DESTROY      0x0202
#define FUNC_OVL_POSTIMAGE    0x0203
#define FUNC_OVL_CALLBACK     0x0204
