/*
 * FIFO-incorporating Melody and Serial Interface (FMSI) support
 *
 * Copyright (C) 2011 Renesas Electronics Corporation.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */



#ifndef __SPU_INIT_REG_H__
#define __SPU_INIT_REG_H__

#define DSP_NUM 2


/* ------------------------------------------------------------------------ */
/* LSI dependent part                                                       */
/* ------------------------------------------------------------------------ */
/*
  PORTING GUIDE :
  All the defines in the LSI dependent part,
  define values following LSI hardware manual.
*/

/* the total number of Program memory bank */
#define SPUINIT_TOTAL_PBANK_NUM	(6)

/* the total number of X memory bank */
#define SPUINIT_TOTAL_XBANK_NUM	(8)

/*--------------------------------------------------------------------------*/
/* LSI independent part                                                     */
/*--------------------------------------------------------------------------*/
/* the top address of SPU register */
#define SPUINIT_SPU_TOP_ADDR	(0xFE200000)
#define SPUINIT_SPU_END_ADDR	(0xFE400000)


#define SPUINIT_DSP_ADDR_OFFSET	(0x00100000)
#define SPUINIT_DSP0_ADDR	(0x00000000)
#define SPUINIT_DSP1_ADDR	(SPUINIT_DSP0_ADDR + SPUINIT_DSP_ADDR_OFFSET)

/* SPU2 bank control register */
#define SPUINIT_PBANKC0		(0x000FFC00)
#define SPUINIT_PBANKC1		(0x000FFC04)
#define SPUINIT_PBANKC2		(0x000FFC08)
#define SPUINIT_XBANKC0		(0x000FFC10)
#define SPUINIT_XBANKC1		(0x000FFC14)
#define SPUINIT_XBANKC2		(0x000FFC18)
#define SPUINIT_XBANKS0		(0x000FFC1C)
#define SPUINIT_XBANKS1		(0x000FFC20)

/* SPU2 software reset register */
#define SPUINIT_SPUSRST		(0x000FFC24)

/* SPU2 cache memory base address register */
#define SPUINIT_P0BASE		(0x000FE010)
#define SPUINIT_X0BASE		(0x000FE014)
#define SPUINIT_Y0BASE		(0x000FE018)
#define SPUINIT_P1BASE		(0x000FE01C)
#define SPUINIT_X1BASE		(0x000FE020)
#define SPUINIT_Y1BASE		(0x000FE024)
#define SPUINIT_SPUMSTS		(0x000FE028)

/* DSP full reset register */
#define SPUINIT_DSP0_DSPRST	(SPUINIT_DSP0_ADDR + 0x000FFD00)
#define SPUINIT_DSP1_DSPRST	(SPUINIT_DSP1_ADDR + 0x000FFD00)

/* DSP core reset register */
#define SPUINIT_DSP0_DSPCORERST	(SPUINIT_DSP0_ADDR + 0x000FFD04)
#define SPUINIT_DSP1_DSPCORERST	(SPUINIT_DSP1_ADDR + 0x000FFD04)

#endif /* __SPU_INIT_REG_H__ */

